#include <map> 
#include <stdio.h>
#include <queue> 
#include <bitset> 
#include <valarray> 
#include <complex> 
#include <iostream> 

using namespace std;

#define For(i,a,b) for(int i=(int)(a);i<=(int)(b);++i)
                                 
int n;
map <string,int> a[20000];

string ExtractDir(string &s){
	int p; string res;
	if ((p=s.find('\\'))!=-1) {
		res=s.substr(0,p); s=s.substr(p+1);
	} else {
		res=s; s="";
	}
	return res;
}

void print(int u, string prefix){
	map <string,int>::iterator it;
	for (it=a[u].begin();it!=a[u].end();++it) {
		printf("%s%s\n",prefix.c_str(),(*it).first.c_str());
		print((*it).second,prefix+' ');
	}
}

int main(){	
	
	int c=0;
	scanf("%d",&n);
	For(i,1,n) {
		string s;
		cin >> s;
		int u=0;
		while (s!="") {
			string dir=ExtractDir(s);
			int v=a[u][dir];
			if (v==0) {
				a[u][dir]=++c;
				u=c;
      } else u=v;
		}
	}
	print(0,"");
	return 0;
}
